
Katello - Bug #5944

Content search links on the repo details page don't go anywhere. They just update the URL

05/27/2014 03:32 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102137 Red Hat JIRA:  

Pull request:    

Description

Go to the details page for a synced repository and click on some of the content links (the numbers under the Content Counts

section). It updates the URL but doesn't go to that page.

Related issues:

Blocks Katello - Bug #6201: Links to content search searches don't set up the... Rejected 06/12/2014

Associated revisions

Revision 5dca53a0 - 06/20/2014 08:14 AM - Eric Helms

Fixes #5944: Ensure links to old Katello pages are followed.

After switching to HTML5 history, links to older Katello pages that

included hashes would not properly redirect. This now checks if the path

starts with '/katello' and force redirects to the specified url.

Revision 864f7f66 - 06/20/2014 09:54 AM - Eric Helms

Merge pull request #4318 from ehelms/fixes-5944

Fixes #5944: Ensure links to old Katello pages are followed.

Revision 1587b440 - 06/20/2014 12:14 PM - Eric Helms

Fixes #5944: Ensure links to old Katello pages are followed.

After switching to HTML5 history, links to older Katello pages that

included hashes would not properly redirect. This now checks if the path

starts with '/katello' and force redirects to the specified url.

Revision 202f2b16 - 06/20/2014 01:54 PM - Eric Helms

Merge pull request #4318 from ehelms/fixes-5944

Fixes #5944: Ensure links to old Katello pages are followed.

History

#1 - 05/28/2014 02:31 PM - David Davis

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102137

#2 - 06/05/2014 02:56 AM - Eric Helms

- Target version set to 45

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 06/13/2014 10:11 AM - Tomáš Strachota

- Status changed from New to Assigned
- Assignee set to Tomáš Strachota

#4 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/19/2014 01:08 PM - David Davis

- Blocks Bug #6201: Links to content search searches don't set up the criteria properly added

#6 - 06/20/2014 02:35 PM - Tomáš Strachota

- Status changed from Assigned to Ready For Testing

- Assignee changed from Tomáš Strachota to Eric Helms

https://github.com/Katello/katello/pull/4318

#7 - 06/20/2014 02:52 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:1587b440ecf3a83097b5080d8ef257a69c4e966e.

#8 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
